Tenancy
Archive a workspace
DELETE /v1/workspaces/{id} · SDK archiveWorkspace · CLI deployments workspace archive
DELETE
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
id*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key*stringLength
1 <= length <= 512application/json- body
reason?stringLength
length <= 2000WorkspaceResponse
application/json- response
createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeupdatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeversion*integerRange
1 <= valueenvironmentId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$organizationId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$projectId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$createdByPrincipalId?stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$description?stringLength
length <= 2000id*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$name*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 120slug*stringMatch
^[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?$status*stringValue in
"active""archived""disabled"curl -X DELETE "https://example.com/v1/workspaces/string" \ -H "x-deployments-environment: string" \ -H "idempotency-key: string" \ -H "Content-Type: application/json" \ -d '{}'{ "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "version": 1, "environmentId": "string", "organizationId": "string", "projectId": "string", "createdByPrincipalId": "string", "description": "string", "id": "string", "name": "string", "slug": "string", "status": "active"}